Results 1 to 4 of 4

Thread: amanda client install on Ubuntu Karmic

  1. #1

    Default amanda client install on Ubuntu Karmic

    I have looked many places for good tutorial on configuration of amanda client with Karmic, but none of them are good enough.

    I basically got following message no matter what I change in Client side.

    1. I am using 64-bit Ubuntu Karmic client with 2.5.2p1 amanda-client with xinetd.

    2. The user is backup, group is backup.

    3. The config file is located at /etc/amandahosts, and /var/backups/.amandahosts and /var/lib/amanda/.amandahosts using soft link to the /etc/amandahosts file.

    4. /etc/amandahosts file have following line.
    192.168.0.14 backup amdump
    The 192.168.0.14 is server IP address.

    error message:
    amandad: time 0.351: security_seterror(handle=0x22cfb10, driver=0x7f8054372920 (BSDTCP) error=user backup from hermes-ubunut-test.local is not allowed to execute the service noop: Please add "amdump" to the line in /var/backups/.amandahosts on the client)
    amandad: time 0.351: accept error: user backup from hermes-ubunut-test.local is not allowed to execute the service noop: Please add "amdump" to the line in /var/backups/.amandahosts on the client
    amandad: time 0.351: sending NAK pkt:
    <<<<<
    ERROR user backup from hermes-ubunut-test.local is not allowed to execute the service noop: Please add "amdump" to the line in /var/backups/.amandahosts on the client
    >>>>>

    Any ideas?

  2. #2

    Unhappy

    why the error message keep saying hermes-ubunut-test.local as server's name rather then its IP address. Is this why the problem?

  3. #3

    Default

    problem solved, with following line in the /etc/amandahosts file
    hermes-ubunut-test.local backup amdump

    Man, this is confusing!!!

  4. #4
    Join Date
    Feb 2008
    Posts
    34

    Default upgrade?

    It might be worth using a newer version of client and server. Our documentation has been steadily getting better, and at this point, 2.5.2p1 is getting old pretty old.

    The debian/ubuntu unstable (testing?) repos should both have newer versions, additionally we have newer versions for download on [url]http://www.zmanda.com/download-amanda.php[/url]

    Dan
    -Zmanda Software Release Engineer Extrordinaire

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •